Last Comment Bug 3789 - messenger sends out wrong data for charset
: messenger sends out wrong data for charset
Status: VERIFIED WORKSFORME
DEPEMD - Intl
:
Product: MailNews Core
Classification: Components
Component: Internationalization (show other bugs)
: Trunk
: x86 Windows NT
: P1 normal (vote)
: M9
Assigned To: rhp (gone)
: Katsuhiko Momoi
:
Mentors:
Depends on:
Blocks: 7228
  Show dependency treegraph
 
Reported: 1998-11-03 08:00 PST by John G. Myers
Modified: 2008-07-31 01:22 PDT (History)
5 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments

Description John G. Myers 1998-11-03 08:00:00 PST
(This bug imported from BugSplat, Netscape's internal bugsystem.  It
was known there as bug #333114
http://scopus.netscape.com/bugsplat/show_bug.cgi?id=333114
Imported into Bugzilla on 03/15/99 19:16)

Click on "new message"
Select "View/Character set/UTF-8"
Address the message
In the body, add a division sign by holding down ALT and typing 246 on the
numeric keypad.
Send the message.

The message sent out is as follows. =F7 is not legal UTF-8, it is the ISO-8859-1
encoding for the division sign.

Message-ID: <363FB108.86AF92F3@netscape.com>
Date: Tue, 03 Nov 1998 17:42:32 -0800
From: John Gardiner Myers <jgmyers@netscape.com>
X-Mailer: Mozilla 4.5 [en] (WinNT; U)
X-Accept-Language: en
MIME-Version: 1.0
To: John Myers <jgmyers@netscape.com>
Subject: test
Content-Type: text/plain; charset=UTF-8
Content-Transfer-Encoding: quoted-printable

this is a test=F7
Comment 1 Phil Peterson 1998-11-14 22:43:59 PST
-> jefft, cc bobj,nhotta,lchiang
Comment 2 hannigan 1999-03-11 15:51:59 PST
Not a regression from 4.51, in 4.5 - WONTFIX
Comment 3 John G. Myers 1999-03-11 16:02:59 PST
At the very least, this needs to be fixed in 5.0
Comment 4 lchiang 1999-03-15 19:18:59 PST
reassign to jefft@netscape.com (who the bugsplat bug was assigned to)
Comment 5 Katsuhiko Momoi 1999-03-16 23:07:59 PST
This was not a problem in HTML mail -- restricted to plain text.
Should be reviewed when the Sending mail becomes functional in 5.0
for both plain and HTML mail.
Tenatively set for M4 for review and further disposition.
Comment 6 jefft 1999-03-24 07:00:59 PST
Reassigning to Jean-Francois who works on mail compose for mail5.
Comment 7 Phil Peterson 1999-04-01 14:32:59 PST
M6
Comment 8 Jean-Francois Ducarroz 1999-05-11 10:15:59 PDT
reaasign ro Rich Pizzaro has he now own the backend part of message composition
Comment 9 rhp (gone) 1999-06-15 16:49:59 PDT
Legacy bug...moving to M8.
Comment 10 rhp (gone) 1999-07-05 22:17:59 PDT
Bump to M9 and will verify when I can run again.

- rhp
Comment 11 rhp (gone) 1999-07-27 06:27:59 PDT
I just tested this with SeaMonkey and it looks like we've fixed this in
5.0...how about that :-)

- rhp
Comment 12 Jay Patel [:jay] 1999-08-17 11:11:59 PDT
verified worksforme

Note You need to log in before you can comment on or make changes to this bug.